Get an ingress by id with resolved routes
GET
/ingresses/{id}
const url = 'https://example.com/ingresses/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/ingresses/example \ --header 'Authorization: Bearer <token>'Auth: authenticated (scope: read)
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Responses
Section titled “Responses”OK
Media typeapplication/json
object
address
string | null
annotations
object | null
clusterIssuer
string | null
createdAt
string
deployment
object
autoDeployBranch
string | null
autoDeployEnabled
boolean
autoDeployPaths
Array<string>
buildCommand
string | null
builderOverride
string | null
buildError
string | null
buildFromRoot
boolean
buildLogs
string | null
buildStatus
required
string
buildStep
string | null
buildStepTimestamps
object | null
buildType
string
buildWithDepot
boolean
composeServiceName
string | null
composeStackId
string | null
cpuRequestMilli
number | null
createdAt
required
string
createdBy
string | null
deployStrategy
string
detectedConfig
object | null
dockerfileHealthCheck
object
command
required
Array<string>
interval
number
retries
number
startPeriod
number
timeout
number
dockerfilePath
string | null
dockerfileTarget
string | null
effectiveImagePullPolicy
What the cluster is actually doing, after deriving. Render this.
string
environmentId
string | null
framework
string | null
githubBranch
string | null
githubRepo
string | null
healthCheckCommand
string | null
healthCheckEnabled
boolean
healthCheckInterval
number
healthCheckOverride
boolean
healthCheckPath
string | null
healthCheckPort
number | null
healthCheckRetries
number
healthCheckTimeout
number
healthCheckType
string
icon
string | null
id
required
string
image
string | null
imagePullPolicy
The override. null means it is derived from the image tag.
string | null
installCommand
string | null
livenessEnabled
boolean
name
required
string
namespace
required
string
outputDirectory
string | null
persistentBuildCache
boolean
projectId
required
string
readinessEnabled
boolean
replicas
required
number
rootDirectory
string | null
startCommand
string | null
startupEnabled
boolean
startupFailureThreshold
number
status
required
string
stopped
required
boolean
tailscaleExposed
boolean
tailscaleHostname
string | null
templateInstanceId
string | null
updatedAt
required
string
key
additional properties
deploymentId
string | null
entrypoints
Array<string>
environmentId
string | null
host
required
string
id
required
string
ingressClass
string | null
name
required
string
namespace
string
path
required
string
pathType
string
project
object
id
required
string
name
required
string
organizationId
string
slug
string
key
additional properties
projectId
string
protectionBypassSecret
string | null
protectionMode
string
redirectTarget
string | null
routes
required
Array<object>
object
path
required
string
serviceName
required
string
servicePort
required
number
key
additional properties
service
object
createdAt
required
string
deploymentId
required
string
domain
string | null
externalIp
string | null
id
required
string
internalUrl
string
internalUrls
Array<string>
name
required
string
nodePort
number | null
port
required
number
ports
Array<object>
object
id
required
string
name
string | null
nodePort
number | null
port
required
number
protocol
required
string
publicAddress
string | null
publicEnabled
boolean
publicPort
number | null
publicStatus
object
addresses
required
Array<string>
reason
required
string | null
state
required
string
serviceId
required
string
targetPort
required
number
key
additional properties
protocol
required
string
targetPort
required
number
type
required
string
updatedAt
required
string
key
additional properties
serviceId
string | null
statusAddress
string | null
templateInstanceId
string | null
tlsEnabled
required
boolean
tlsHosts
Array<string>
tlsSecretName
string | null
updatedAt
string
url
required
string
key
additional properties
Example
{ "deployment": { "builderOverride": "firecracker", "buildType": "dockerfile", "deployStrategy": "rollingUpdate", "effectiveImagePullPolicy": "Always", "imagePullPolicy": "Always" }, "protectionMode": "none", "redirectStatus": 301, "service": { "ports": [ { "publicStatus": { "state": "ready" } } ], "type": "internal" }}